# Get resource state

Get the internal state of the resource. The state value depends on the resource type. For details about the potential states for each resource type, see [our resource state docs](https://docs.mediakind.com/mkio/reference/resource-states).

**RBAC Capability Required:** `ams.liveevent.get`

## Authentication

### Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

| Parameter        | Type   | Required | Description                               |
|------------------|--------|----------|-------------------------------------------|
| project_name     | string | Yes      | Name of the project                      |
| event_name       | string | Yes      | Name of the event                        |

## Response

### 200 OK

#### status

- **Type:** object [ResourceStateStatus](https://docs.mediakind.com/api-reference/media-api/schemas/resourcestatestatus)  
- **Required**  
- The status of the resource.

| Property        | Type   | Required | Description                        |
|-----------------|--------|----------|------------------------------------|
| state          | string | Yes      | The state of the resource.         |

## Errors

### 400 Bad Request

#### error

- **Type:** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail)  
- **Required**  
- Pertinent information about the error.

| Property        | Type    | Required | Description                                  |
|-----------------|---------|----------|----------------------------------------------|
| code            | string  | Yes      | The error code.                             |
| detail          | string  | Yes      | The error message.                          |
| extraDetail     | map     | Optional | Extra information regarding this error.     |
| ref             | string  | Yes      | A reference to the request that caused the error. |
| status          | integer | Yes      | The HTTP status code                        |

### 401 Unauthorized

#### error

### 403 Forbidden

#### error

### 404 Not Found

#### error

### 429 Too Many Requests

#### error

### 500 Internal Server Error

#### error
